Are you ready for Gutenberg (WordPress 5.0)?

Chrome green padlock is now grey and not displaying secure anymore
October 4, 2018
SEO Checklist for your WordPress site
December 14, 2018

Are you ready for the release of WordPress 5.0? The release date is Nov 19 2018, and is less than two weeks away.

If you have a WordPress site, you probably would be aware that the major change is the new default Gutenberg block editor. This update will also have an impact on a number of other areas, including your themes, plugins and extensions.

While the release dates are normally locked in, there is a chance they can be pushed back if enough issues are identified. You don’t need to look hard to find many developers raising concerns about the release of WordPress 5.0. Many believe that more time is needed to perform beta testing, but so far everything is on track for the release.

While the Gutenberg default block editor has been promoted as the next best thing, it comes with a significant paradigm shift in the way content will be created and edited. As with any change, there is a learning curve involved before you can become familiar and comfortable with the new editor. Since humans are typically reluctant to change, it will likely come with a lot of resistance and frustration.

And if that’s not enough, there are yet further changes in the pipeline post-release for WordPress 5.0. This includes changing how widgets and menus work, as well as how to edit and build site layouts.

The main concerns out there are to do with User Experience (UX) and accessibility. It is felt that the Gutenberg team had a goal to fast-track Gutenberg and include it as part of the WordPress core. This means it can’t be easily unbundled or pulled apart from the normal install. It does not work like a plugin where it can simply be excluded – it was designed to stay as part of the WordPress family.

In other words, deal with it.

Can I Disable Gutenberg?

The WordPress core is WordPress itself, without a theme and or plugins. Updating WordPress is normally a one-click operation where you hope for the best. If all goes well, great! But if it doesn’t go well, you need to roll up your sleeves and figure out what’s gone wrong.

As a short term solution, you can disable automatic WordPress core updates. This should always remain as a short-term solution and I always advise on using the latest software in the long term. While it may be tempting to permanently disable core updates and run your existing version of WordPress, it will almost certainly land you in deeper trouble further down the track, plus a bigger invoice to boot.

To disable automatic WordPress core updates on your site, add the code below in your wp-config.php file, or speak to your website’s developer.

define( 'WP_AUTO_UPDATE_CORE', false );

How Will Gutenberg Impact Current WordPress Themes?

A number of popular themes such as GenesisGenerate Press and Astra have already made preparations to support and work with the Gutenberg block editor. Smaller and less popular themes may break.

If you have a custom developed theme, you could be in some serious trouble.

The good news: themes are pluggable, meaning you can switch to another theme and not lose your content. Depending on the theme though, the headers and footers and styling may need some work, but if you have a theme that does not support WordPress 5.0, this may be the only option you will have.

So take a good look at your theme, visit the developers site and the support forums. Check to see if it is WordPress 5 compatible. If it’s a premium theme, you may need to purchase a valid support license to download the latest version. In many instances you may just need to update the theme to the latest version.

The best approach here is to have your site updated and tested on a staging site before updating the theme on the live site.

Will Gutenberg Break My WordPress Plugins?

All your Plugins will need to adapt to the changes in WordPress 5.0. If you are using less common plugins, or plugins that a no longer supported, it’s not unlikely that incompatibilities will be encountered . If your plugins have not been maintained and you are using old versions, the chances of something going wrong are increased. If your site is fully-loaded with plugins, (say, 20 or more), then it’s highly likely that Gutenberg will cause some issues.

If this is making you worried, then you may want to get a professional developer involved.

Commonly used Plugins, such as Yoast SEO, have released a Gutenberg-friendly version 9.1.1. Users of Yoast should ensure that their Yoast is up to date before updating to WordPress 5.0.

Our best advice is to do a full audit of all your website’s plugins. Find the name of each plugin and check what version is installed against the release version on the developers website. Take note and read the change log or history. If the developer makes no mention of WordPress 5.0, that is a red flag.

Gutenberg and WooCommerce

For those who are running WooCommerce, the consequences of having your store break can be disastrous. There is a critical update which should be applied to WooCommerce prior to the WordPress 5.0 update.

Most WooCommerce sites rely on a number of additional plugins to run a fully featured site. Plugins developed and/or supported by WooCommerce themselves are in the low risk category, as they are supported by a number of core developers. Just make sure you are running the latest versions.

There are also plenty of third party WooCommerce plugins that are not supported by WooCommerce. These carry a higher risk because there is no guarantee that they will support WordPress 5.0. Each WooCommerce plugin should be checked with its developer to ensure it supports WordPress 5.0.

The best approach here is to have your site updated and tested on a staging site before updating the version of WooCommerce on the live site.

Can I Keep The Classic WordPress Editor?

If you don’t want to deal with the Gutenberg block editor at all, then you are not alone.

Again, this is not an ideal long term solution, but there are a couple of plugins that can ensure the classic editor remains in place.

The two plugins are Classic Editor and Disable Gutenberg. Installing either of these plugins will enable or retain the classic editor as the default editor.

You may wish to use these plugins temporarily while you build on your Gutenberg skills. Gutenberg will take time to learn and some may need training on how to use the new block editor.

TinyMCE, which the classic editor uses today, is still available on the WordPress core site. The Classic Editor plugin will be supported and maintained until December 31st, 2021.

So, What Should I Do About Gutenberg?

First of all, don’t panic. If you have a WordPress site and don’t have the time or inclination to manage the manage the update yourself, get some professional advice. Its better to do this before the release of WordPress 5.0 for obvious reasons. Now is also a good time to get a full WordPress backup of your site for safe keeping.

If you have a WordPress Maintenance agreement, don’t assume that Support is inclusive as part of the agreement. WordPress Maintenance includes software updates to plugins and themes, but whoever is doing the maintenance, they cannot warrant or guarantee the operation of plugins and themes.

Don’t blame your hosting company. This often happens as the first instinct is to blame someone. Many clients often incorrectly assume their hosting company is responsible for the operation of their website. The internet is the road, and your website is the car. Don’t blame the owners of the road if your car breaks down.

Perform your own site Audit. Check what version of WordPress you are running. Check the Theme you are using, make sure its current, and get advice from the developer of the theme regarding WordPress 5.0. The same goes for Plugins, get a list of all your plugins, make sure they are current, and get advice from the developers of the themes regarding WordPress 5.0 readiness.

Gutenberg is one of the biggest changes that WordPress has introduced, and it definitely warrants your attention if your business relies on a WordPress website.

Steven Lutrov
Steven Lutrov
Steven is a software engineer, managed services specialist and a part time musician living in Melbourne. Educated at RMIT, Steven has worked extensively in the telecommunications and IT industry for over 25 years. Today Steven works for Net Solutions as CEO and does not mind getting his hands dirty.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Pin It on Pinterest

Share This